For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
      • GETReturn all your categories
      • POSTCreate/Update a category
      • GETGet a category details
      • POSTCreate categories in batch
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
EcommerceCategories

Return all your categories

GET
https://api.brevo.com/v3/categories
GET
/v3/categories
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.ecommerce.getCategories({});
8}
9main();
1{
2 "categories": [
3 {
4 "createdAt": "2021-12-31T11:42:35.638Z",
5 "id": "C19",
6 "isDeleted": true,
7 "modifiedAt": "2022-03-03T14:48:31.867Z",
8 "name": "Food",
9 "url": "http://mydomain.com/category/food"
10 },
11 {
12 "createdAt": "2021-12-31T11:42:35.638Z",
13 "id": "C20",
14 "isDeleted": true,
15 "modifiedAt": "2022-03-03T14:48:31.867Z",
16 "name": "clothing",
17 "url": "http://mydomain.com/category/clothing"
18 }
19 ],
20 "count": 2
21}
Retrieve a paginated list of all ecommerce categories stored in your Brevo account. Results are sorted by creation date in descending order by default, and can be filtered by category IDs, name, modification date, creation date, or deletion status. The response includes a `count` field with the total number of matching categories, and pagination defaults to 50 categories per page (maximum 100).
Was this page helpful?
Previous

Create/Update a category

Next
Built with

Retrieve a paginated list of all ecommerce categories stored in your Brevo account. Results are sorted by creation date in descending order by default, and can be filtered by category IDs, name, modification date, creation date, or deletion status. The response includes a count field with the total number of matching categories, and pagination defaults to 50 categories per page (maximum 100).

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

limitlongOptional<=100Defaults to 50
Number of documents per page
offsetlongOptionalDefaults to 0
Index of the first document in the page
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:
idslist of stringsOptional
Filter by category ids
namestringOptional
Filter by category name
modifiedSincestringOptional

Filter (urlencoded) the categories modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

createdSincestringOptional

Filter (urlencoded) the categories created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

isDeletedstringOptional

Filter categories by their deletion status. If false is passed, only categories that are not deleted will be returned.

Response

All categories listed
categorieslist of objects
countlong
Number of categories

Errors

400
Bad Request Error